---
updatedAt: 2026-07-30T12:33:51.000Z
agentTools:
  projectIndex: https://docs.payments.stonex.io/llms.txt
---

# Add delivery instructions to a trade

The Instruct API allows you to submit payment delivery instructions for trades already booked with our system. You will need to include a valid `fxId `in the request when providing delivery instructions for a trade.

## Request

The request body to provide delivery instructions is split into various mandatory and optional objects.

| Field Name                | Data Type        | Required | Description                                                                                                                                         |
| :------------------------ | :--------------- | :------- | :-------------------------------------------------------------------------------------------------------------------------------------------------- |
| fxId                      | String           | Yes      | Unique `fxId `provided by StoneX when booking the trade                                                                                             |
| clientReference           | String           | No       | Optional field to provide an external reference for the trade                                                                                       |
| debtor                    | Object           | No       | Information about the payer (debtor).                                                                                                               |
| creditor                  | Object           | Yes      | Information about the payee (creditor)                                                                                                              |
| creditorAccountName       | String           | No       | Account Name of the creditor. Check payment rules to confirm if needed.                                                                             |
| creditorAccountNumber     | String           | Yes      | Account Number of the creditor.                                                                                                                     |
| creditorAccountType       | String           | No       | Account Type of the creditor. Check payment rules to confirm if needed.                                                                             |
| creditorAccountNumberType | String           | No       | Type of account number                                                                                                                              |
| creditorCountryCode       | String           | Yes      | Country the creditor account is present in                                                                                                          |
| clientBuyCurrency         | String           | Yes      | Currency the debtor has purchased                                                                                                                   |
| debtorAccountNumber       | String           | No       | This is an internal StoneX field, don't use this for debtor account number. Instead you can pass debtor's account number in `debtor.identification` |
| purposeOfPayment          | Object           | No       | Payment purpose code. Check payment rules to confirm if needed                                                                                      |
| > structuredInfo          | Array of strings | No       | Provide purpose of payment as code here. See payment rules to find out accepted values                                                              |
| > unstructuredInfo        | String           | No       | Provide unstructured payment purpose here.                                                                                                          |
| initiatingParty           | Object           | No       | Identifies the entity initiating the payment.                                                                                                       |
| instructingAgent          | Object           | No       | The financial institution sending the payment instruction.                                                                                          |
| orderingInstitution       | Object           | No       | The institution ordering the payment on behalf of the debtor.                                                                                       |
| ultimateCreditor          | Object           | No       | The final recipient of the payment, distinct from the creditor.                                                                                     |
| creditorAgent             | Object           | Yes      | Financial institution responsible for the creditor’s account. Check payment rules to confirm which fields in this object are required.              |
| intermediaryAgents        | Array of objects | No       | List of intermediary agents involved in the payment transfer. You can provide multiple intermediaries by adding more than one object.               |
| ultimateDebtor            | Object           | No       | Identifies the ultimate debtor for payment                                                                                                          |

## Object Details:

This is a list of fields you can provide when passing any of the above objects in the request parameter:

1. **instructingAgent**
2. **orderingInstitution**
3. **creditorAgent**
4. **intermediaryAgents**

> BIC or Clearing Code of the institution is mandatory when proving data for any of these objects. You can provide this in the `routingCode `field. If you do not have BIC or clearing code of the institution, then you must provide **Name** and **Address** of the institution. When providing address, the street or postcode is required along with 2-digit ISO country code.

| Field Name         | Data Type | Description                                                             |
| :----------------- | :-------- | :---------------------------------------------------------------------- |
| routingCode        | String    | Bank code. Check payment rules to confirm if required.                  |
| routingCodeType    | String    | Routing code type. Check payment rules to confirm if required.          |
| name               | String    | Name of the Bank/Institution                                            |
| address            | Object    | Address details in structured format                                    |
| > buildingNo       | String    | Building number                                                         |
| > buildingName     | String    | Building name                                                           |
| > floor            | String    | Floor                                                                   |
| > street           | String    | Street name. Check payment rules to confirm if required.                |
| > city             | String    | City name. Check payment rules to confirm if required.                  |
| > district         | String    | District name                                                           |
| > postalcode       | String    | Post code                                                               |
| > state            | String    | State name                                                              |
| > countryCode      | String    | 2-digit ISO code of the country                                         |
| accountName        | String    | Name of the account                                                     |
| accountNumber      | String    | Bank’s Account Number/IBAN. Check payment rules to confirm if required. |
| branchCode         | String    | Bank Branch code. Check payment rules to confirm if required.           |
| branchName         | String    | Name of the branch. Check payment rules to confirm if required.         |
| branchNumber       | String    | Branch Number                                                           |
| otherRoutingCode   | String    | Any other bank code. Check payment rules to confirm if required.        |
| taxId              | String    | Bank’s Tax identifier. Check payment rules to confirm if required.      |
| additionalBankCode | String    | Additional bank code                                                    |

<Callout icon="📘" theme="info">
  ### Ordering Institution details

  If you are providing ordering institution details with your payment, then \``name `is required in the `orderingInstitution `object.
</Callout>

This is a list of fields you should provide when providing either of the following objects in the request parameter:

1. **ultimateDebtor**
2. **ultimateCreditor**
3. **creditor**
4. **debtor**

> When providing data for any of the above entities, you must provide **Name** and **Address** details. When providing address, the street or postcode is required along with 2-digit ISO country code.

| Field Name                 | Data Type | Description                                                                                                                                                                                      |
| :------------------------- | :-------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                       | String    | Provide the name in this field. Check payment rules to confirm if required.                                                                                                                      |
| address                    | Object    | Provide structured address in this object.                                                                                                                                                       |
| > buildingNo               | String    | Building number                                                                                                                                                                                  |
| > buildingName             | String    | Building name                                                                                                                                                                                    |
| > floor                    | String    | Floor                                                                                                                                                                                            |
| > street                   | String    | Street name. Check payment rules to confirm if required.                                                                                                                                         |
| > city                     | String    | City name. Check payment rules to confirm if required.                                                                                                                                           |
| > district                 | String    | District name. Check payment rules to confirm if required.                                                                                                                                       |
| > postalcode               | String    | Post code. Check payment rules to confirm if required.                                                                                                                                           |
| > state                    | String    | State name. Check payment rules to confirm if required.                                                                                                                                          |
| > countryCode              | String    | ISO country code. Check payment rules to confirm if required.                                                                                                                                    |
| identification             | String    | If you're paying on behalf of your clients, use this field in the debtor object to provide us with their account number, which is needed by some of our correspondents banks to deliver payments |
| countryOfResidence         | String    | ISO country code (ex - AU, KE). Check payment rules to confirm if required.                                                                                                                      |
| partyType                  | String    | Entity type (ex - personal, business)                                                                                                                                                            |
| taxId                      | String    | Tax Identification details. Check payment requirements to confirm if needed.                                                                                                                     |
| registrationIdentification | String    | Registration Identification details                                                                                                                                                              |
| taxType                    | String    | Tax Identity type                                                                                                                                                                                |
| otherRoutingCode           | String    | Other routing code                                                                                                                                                                               |
| contactDetails             | Object    | Use this object to provide structured contact details                                                                                                                                            |
| > firstName                | String    | First Name                                                                                                                                                                                       |
| > lastName                 | String    | Last Name                                                                                                                                                                                        |
| > emailAddress             | String    | Email. Check payment rules to confirm if required.                                                                                                                                               |
| > telephone                | Object    | Telephone details                                                                                                                                                                                |
| > > countrycode            | String    | Country code (ex- +44)                                                                                                                                                                           |
| > > phonenumber            | String    | Phone Number. Check payment rules to confirm if required.                                                                                                                                        |
| > mobilephone              | Object    | Mobile details                                                                                                                                                                                   |
| > > countrycode            | String    | Country code (ex- +49)                                                                                                                                                                           |
| > > phonenumber            | String    | Mobile number                                                                                                                                                                                    |
| fullname                   | String    | Full name. Check payment requirements to confirm if needed                                                                                                                                       |

### initiatingParty Object Details

> **Name** and **Address** fields are mandatory when providing initiating party information. When providing address, the street or postcode is required along with 2-digit ISO country code.

| Field Name     | Data Type | Description                                                        |
| :------------- | :-------- | :----------------------------------------------------------------- |
| orgId          | String    | Provide the client's mnemonic ID generated by StoneX in this field |
| extOrgId       | String    | Provide your external reference for the client here                |
| address        | String    | Provide address in this object                                     |
| > buildingNo   | String    | Building number                                                    |
| > buildingName | String    | Building name                                                      |
| > floor        | String    | Floor                                                              |
| > street       | String    | Street name                                                        |
| > city         | String    | City                                                               |
| > district     | String    | District                                                           |
| > postalcode   | String    | Post code                                                          |
| > state        | String    | State                                                              |
| > countryCode  | String    | Country Code                                                       |
| name           | String    | Name of the initiating party                                       |

<br />

### Full Request Object

Below is the example of all the parameters you can pass in the request. Before providing instructions, check the payment rules to confirm which fields are required and what value are allowed.

If any mandatory fields for a payment are missing, or any other invalid values are provided in the request, the API will return errors highlighting the same.

```json Full request body
{
  "fxId": 0,

  
  "intermediaryAgents": [
    {
      "routingCode": "string",
      "routingCodeType": "string",
      "name": "string",
      "address": {
        "buildingNo": "string",
        "buildingName": "string",
        "floor": "string",
        "street": "string",
        "city": "string",
        "district": "string",
        "postalCode": "string",
        "state": "string",
        "countryCode": "string"
        
      },
      "accountName": "string",
      "accountNumber": "string",
      "branchCode": "string",
      "branchName": "string",
      "branchNumber": "string",
      "otherRoutingCode": "string",
      "taxId": "string",
      "additionalBankCode": "string",
      "recordKey": "string"
    }
  ],
  
  "clientReference": "string",
  
  "creditor": {
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "identification": "string",
    "countryOfResidence": "string",
    "partyType": "string",
    "taxId": "string",
    "registrationIdentification": "string",
    "taxType": "string",
    "otherRoutingCode": "string",
    "contactDetails": {
      "firstName": "string",
      "lastName": "string",
      "emailAddress": "string",
      "telephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "mobilephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "fullName": "string"
    }
  },
  
  "ultimateCreditor": {
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "identification": "string",
    "countryOfResidence": "string",
    "partyType": "string",
    "taxId": "string",
    "registrationIdentification": "string",
    "taxType": "string",
    "otherRoutingCode": "string",
    "contactDetails": {
      "firstName": "string",
      "lastName": "string",
      "emailAddress": "string",
      "telephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "mobilephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "fullName": "string"
    }
  },
  
  "creditorAccountName": "string",
  "creditorAccountNumber": "string",
  "creditorAccountType": "string",
  "creditorAccountNumberType": "string",
  
  "creditorAgent": {
    "routingCode": "string",
    "routingCodeType": "string",
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "accountName": "string",
    "accountNumber": "string",
    "branchCode": "string",
    "branchName": "string",
    "branchNumber": "string",
    "otherRoutingCode": "string",
    "taxId": "string",
    "additionalBankCode": "string",
    "recordKey": "string"
  },
  
  "debtorAccountNumber": "string",
  
  "debtor": {
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "identification": "string",
    "countryOfResidence": "string",
    "partyType": "string",
    "taxId": "string",
    "registrationIdentification": "string",
    "taxType": "string",
    "otherRoutingCode": "string",
    "contactDetails": {
      "firstName": "string",
      "lastName": "string",
      "emailAddress": "string",
      "telephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "mobilephone": {
        "countrycode": "string",
        "phonenumber": "string"
      }
    }
  },
  
  "ultimateDebtor": {
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "identification": "string",
    "countryOfResidence": "string",
    "partyType": "string",
    "taxId": "string",
    "registrationIdentification": "string",
    "taxType": "string",
    "otherRoutingCode": "string",
    "contactDetails": {
      "firstName": "string",
      "lastName": "string",
      "emailAddress": "string",
      "telephone": {
        "countrycode": "string",
        "phonenumber": "string"
      },
      "mobilephone": {
        "countrycode": "string",
        "phonenumber": "string"
      }
    }
  },
  
  "orderingInstitution": {
    "routingCode": "string",
    "routingCodeType": "string",
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "accountName": "string",
    "accountNumber": "string",
    "branchCode": "string",
    "branchName": "string",
    "branchNumber": "string",
    "otherRoutingCode": "string",
    "taxId": "string",
    "additionalBankCode": "string",
    "recordKey": "string"
  },
  
  "purposeOfPayment": {
    "structuredInfo": [
      "string"
    ],
    "unstructedInfo": "string"
  },
  
  "creditorCountryCode": "string",
  
  "instructingAgent": {
    "routingCode": "string",
    "routingCodeType": "string",
    "name": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "accountName": "string",
    "accountNumber": "string",
    "branchCode": "string",
    "branchName": "string",
    "branchNumber": "string",
    "otherRoutingCode": "string",
    "taxId": "string",
    "additionalBankCode": "string",
    "recordKey": "string"
  },
  
  "initiatingParty": {
    "orgId": "string",
    "extOrgId": "string",
    "address": {
      "buildingNo": "string",
      "buildingName": "string",
      "floor": "string",
      "street": "string",
      "city": "string",
      "district": "string",
      "postalCode": "string",
      "state": "string",
      "countryCode": "string"
    },
    "name": "string"
  },
 
  "clientBuyCurrency": "string",
  "doddFrank": true
}

```

## Response

Once a payment instruction is linked to the trade, the following values will be returned in the API response:

| Field Name     | Type              | Description                                                       |
| :------------- | :---------------- | :---------------------------------------------------------------- |
| createdDate    | DateTime          | Date & time when instruction was created                          |
| tradeResponse  | Object            | Object containing the details of the payment                      |
| > isSuccess    | boolean           | true or false (true - instruction was accepted & linked to trade) |
| > buyAmount    | number            | Amount you're buying                                              |
| > sellAmount   | number            | Amount you're selling                                             |
| > buyCurrency  | String            | Currency you're buying (Ex- INR, KES)                             |
| > sellCurrency | String            | Currency you're selling (Ex- USD, GBP)                            |
| > tradeStatus  | String            | Status of the trade                                               |
| > rate         | number            | Rate for the trade                                                |
| > tradeDate    | Date (yyyy-mm-dd) | Date trade was executed                                           |
| > quoteId      | String            | Unique quote ID used by StoneX to book the trade                  |
| > fxId         | String            | Unique FX ID used by StoneX to book the trade                     |
| > fee          | number            | Any fee charge for the payment (always in sell currency)          |
| valueDate      | Date (yyyy-mm-dd) | Value Date of the payment                                         |

### Success Example

```json Success resposne
{
    "createdDate": "2024-10-14T00:00:00Z",
    "tradeResponse": {
        "message": null,
        "errorCode": null,
        "isSuccess": true,
        "buyAmount": 8244.07,
        "sellAmount": 100,
        "buyCurrency": "INR",
        "sellCurrency": "USD",
        "tradeStatus": "EXECUTED",
        "rate": 82.4407,
        "tradeDate": "2024-10-14",
        "quoteId": "2538c92a-2d02-43d3-9adc-118312de7a76",
        "fxId": 4763401,
        "fee": 0
    },
    "valueDate": "2024-10-16"
}
```

### Failure Example 1 - Invalid Bank Code and ISO Country Code

```json Invalid Bank Code and Beneficairy Country Code
{
    "status": "Incomplete",
    "invalidRules": [
        {
            "fieldLabelIdentifier": "IFSCCode",
            "fieldName": "Bank Code",
            "ruleName": "FORMAT BANKCODE",
            "fieldValue": "ABCD0000985",
            "errorMessage": "IFSC Code must have a valid bank code format",
            "validationStatus": "Invalid"
        },
        {
            "fieldLabelIdentifier": "BeneficiaryCountryofResidence",
            "fieldName": "Beneficiary Address Country",
            "ruleName": "ISO COUNTRY CODE",
            "fieldValue": "AB",
            "errorMessage": "Beneficiary Country of Residence must have a valid ISO Country Code (2 letters)",
            "validationStatus": "Invalid"
        }
    ]
}
```

### Failure Example 2 - Mandatory field missing

```json Missing Beneficiary Name
{
    "status": "Incomplete",
    "invalidRules": [
        {
            "fieldLabelIdentifier": "BeneficiaryAccountName",
            "fieldName": "Account Name",
            "ruleName": "MANDATORY",
            "fieldValue": "",
            "errorMessage": "Beneficiary Account Name is mandatory.",
            "validationStatus": "Invalid"
        }
    ]
}
```

### Failure Example 3 - FxId is already instructed

```json
{
    "title": "Bad Input",
    "status": 400,
    "detail": "FxId is already instructed",
    "traceId": "00-a74be65e2c34f3c41dee4af2f2f00ee3-9f11c7019893e941-00",
    "errorCode": "INS00008"
}
```

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.4",
  "info": {
    "title": "StoneX Payments FX API",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.sandbox.payments.stonex.com"
    },
    {
      "url": "https://fx-api.payments.stonex.com"
    }
  ],
  "paths": {
    "/api/v1/trade/instruct": {
      "post": {
        "tags": [
          "Trade"
        ],
        "summary": "Add delivery instructions to a trade",
        "parameters": [
          {
            "name": "x-client-id",
            "in": "header",
            "description": "Client ID for API identification",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json;odata.metadata=minimal;odata.streaming=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;odata.streaming=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=minimal;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=full;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.metadata=none;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=true;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=true;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=false;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;odata.streaming=false;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;IEEE754Compatible=false": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/json;IEEE754Compatible=true": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/xml": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "text/plain": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/DeliveryInstructions"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json;odata.metadata=minimal;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/json;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "application/octet-stream": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/InstructResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json;odata.metadata=minimal;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/octet-stream": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json;odata.metadata=minimal;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/octet-stream": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "408": {
            "description": "Request Timeout",
            "content": {
              "application/json;odata.metadata=minimal;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=minimal;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=full;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.metadata=none;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=true;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;odata.streaming=false;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=false": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json;IEEE754Compatible=true": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/octet-stream": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Address": {
        "type": "object",
        "properties": {
          "buildingNo": {
            "type": "string",
            "nullable": true
          },
          "buildingName": {
            "type": "string",
            "nullable": true
          },
          "floor": {
            "type": "string",
            "nullable": true
          },
          "street": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "maxLength": 35,
            "type": "string",
            "nullable": true
          },
          "district": {
            "type": "string",
            "nullable": true
          },
          "postalCode": {
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "countryCode": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "AddressDto": {
        "type": "object",
        "properties": {
          "buildingNo": {
            "type": "string",
            "nullable": true
          },
          "buildingName": {
            "type": "string",
            "nullable": true
          },
          "floor": {
            "type": "string",
            "nullable": true
          },
          "street": {
            "maxLength": 35,
            "type": "string",
            "nullable": true
          },
          "city": {
            "maxLength": 35,
            "type": "string",
            "nullable": true
          },
          "district": {
            "type": "string",
            "nullable": true
          },
          "postalCode": {
            "maxLength": 10,
            "type": "string",
            "nullable": true
          },
          "state": {
            "type": "string",
            "nullable": true
          },
          "countryCode": {
            "maxLength": 2,
            "type": "string",
            "nullable": true
          }
        }
      },
      "Agent": {
        "type": "object",
        "properties": {
          "routingCode": {
            "type": "string",
            "nullable": true
          },
          "routingCodeType": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "accountName": {
            "type": "string",
            "nullable": true
          },
          "accountNumber": {
            "type": "string",
            "nullable": true
          },
          "branchCode": {
            "type": "string",
            "nullable": true
          },
          "branchName": {
            "type": "string",
            "nullable": true
          },
          "branchNumber": {
            "type": "string",
            "nullable": true
          },
          "otherRoutingCode": {
            "type": "string",
            "nullable": true
          },
          "taxId": {
            "type": "string",
            "nullable": true
          },
          "additionalBankCode": {
            "type": "string",
            "nullable": true
          },
          "recordKey": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Contact": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "nullable": true
          },
          "emailAddress": {
            "type": "string",
            "nullable": true
          },
          "telephone": {
            "$ref": "#/components/schemas/Telephone"
          },
          "mobilephone": {
            "$ref": "#/components/schemas/Telephone"
          },
          "fullName": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "ContactDetailsDto": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "nullable": true
          },
          "emailAddress": {
            "type": "string",
            "nullable": true
          },
          "telephone": {
            "$ref": "#/components/schemas/TelephoneDto"
          },
          "mobilephone": {
            "$ref": "#/components/schemas/TelephoneDto"
          }
        }
      },
      "CreditorIdentification": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "identification": {
            "type": "string",
            "nullable": true
          },
          "countryOfResidence": {
            "type": "string",
            "nullable": true
          },
          "partyType": {
            "type": "string",
            "nullable": true
          },
          "taxId": {
            "type": "string",
            "nullable": true
          },
          "registrationIdentification": {
            "type": "string",
            "nullable": true
          },
          "taxType": {
            "type": "string",
            "nullable": true
          },
          "otherRoutingCode": {
            "type": "string",
            "nullable": true
          },
          "contactDetails": {
            "$ref": "#/components/schemas/Contact"
          }
        }
      },
      "DebtorIdentificationDto": {
        "required": [
          "name"
        ],
        "type": "object",
        "properties": {
          "name": {
            "maxLength": 35,
            "minLength": 1,
            "type": "string"
          },
          "address": {
            "$ref": "#/components/schemas/AddressDto"
          },
          "identification": {
            "maxLength": 35,
            "type": "string",
            "nullable": true
          },
          "countryOfResidence": {
            "type": "string",
            "nullable": true
          },
          "partyType": {
            "type": "string",
            "nullable": true
          },
          "taxId": {
            "type": "string",
            "nullable": true
          },
          "registrationIdentification": {
            "type": "string",
            "nullable": true
          },
          "taxType": {
            "type": "string",
            "nullable": true
          },
          "otherRoutingCode": {
            "type": "string",
            "nullable": true
          },
          "contactDetails": {
            "$ref": "#/components/schemas/ContactDetailsDto"
          }
        }
      },
      "DeliveryInstructions": {
        "type": "object",
        "properties": {
          "fxId": {
            "type": "integer",
            "format": "int64",
            "nullable": true
          },
          "intermediaryAgents": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Agent"
            },
            "nullable": true
          },
          "clientReference": {
            "type": "string",
            "nullable": true
          },
          "creditor": {
            "$ref": "#/components/schemas/CreditorIdentification"
          },
          "ultimateCreditor": {
            "$ref": "#/components/schemas/CreditorIdentification"
          },
          "creditorAccountName": {
            "type": "string",
            "nullable": true
          },
          "creditorAccountNumber": {
            "type": "string",
            "nullable": true
          },
          "creditorAccountType": {
            "type": "string",
            "nullable": true
          },
          "creditorAccountNumberType": {
            "type": "string",
            "nullable": true
          },
          "creditorAgent": {
            "$ref": "#/components/schemas/Agent"
          },
          "debtorAccountNumber": {
            "type": "string",
            "nullable": true
          },
          "debtor": {
            "$ref": "#/components/schemas/DebtorIdentificationDto"
          },
          "ultimateDebtor": {
            "$ref": "#/components/schemas/DebtorIdentificationDto"
          },
          "orderingInstitution": {
            "$ref": "#/components/schemas/OrderingInstitutionDto"
          },
          "purposeOfPayment": {
            "$ref": "#/components/schemas/RemitterInformationDto"
          },
          "creditorCountryCode": {
            "type": "string",
            "nullable": true
          },
          "instructingAgent": {
            "$ref": "#/components/schemas/Agent"
          },
          "initiatingParty": {
            "$ref": "#/components/schemas/Party"
          },
          "clientBuyCurrency": {
            "type": "string",
            "nullable": true
          },
          "clientPaymentReference": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "InstructResponse": {
        "type": "object",
        "properties": {
          "createdDate": {
            "type": "string",
            "format": "date-time"
          },
          "tradeResponse": {
            "$ref": "#/components/schemas/TradeBookingResponse"
          },
          "valueDate": {
            "type": "string",
            "format": "date"
          }
        }
      },
      "OrderingInstitutionAddressDto": {
        "type": "object",
        "properties": {
          "buildingNo": {
            "type": "string",
            "nullable": true
          },
          "buildingName": {
            "type": "string",
            "nullable": true
          },
          "floor": {
            "type": "string",
            "nullable": true
          },
          "district": {
            "type": "string",
            "nullable": true
          },
          "countryCode": {
            "maxLength": 2,
            "type": "string",
            "nullable": true
          },
          "state": {
            "maxLength": 100,
            "type": "string",
            "nullable": true
          },
          "city": {
            "maxLength": 50,
            "type": "string",
            "nullable": true
          },
          "postalCode": {
            "maxLength": 25,
            "type": "string",
            "nullable": true
          },
          "street": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "OrderingInstitutionDto": {
        "type": "object",
        "properties": {
          "routingCode": {
            "type": "string",
            "nullable": true
          },
          "routingCodeType": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "maxLength": 100,
            "type": "string",
            "nullable": true
          },
          "address": {
            "$ref": "#/components/schemas/OrderingInstitutionAddressDto"
          },
          "accountName": {
            "type": "string",
            "nullable": true
          },
          "accountNumber": {
            "type": "string",
            "nullable": true
          },
          "branchCode": {
            "type": "string",
            "nullable": true
          },
          "branchName": {
            "type": "string",
            "nullable": true
          },
          "branchNumber": {
            "type": "string",
            "nullable": true
          },
          "otherRoutingCode": {
            "type": "string",
            "nullable": true
          },
          "taxId": {
            "type": "string",
            "nullable": true
          },
          "additionalBankCode": {
            "type": "string",
            "nullable": true
          },
          "recordKey": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Party": {
        "type": "object",
        "properties": {
          "orgId": {
            "type": "string",
            "nullable": true
          },
          "extOrgId": {
            "type": "string",
            "nullable": true
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "name": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "RemitterInformationDto": {
        "type": "object",
        "properties": {
          "structuredInfo": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "nullable": true
          },
          "unstructuredInfo": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Telephone": {
        "type": "object",
        "properties": {
          "countrycode": {
            "type": "string",
            "nullable": true
          },
          "phonenumber": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "TelephoneDto": {
        "type": "object",
        "properties": {
          "countrycode": {
            "type": "string",
            "nullable": true
          },
          "phonenumber": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "TradeBookingResponse": {
        "type": "object",
        "properties": {
          "isSuccess": {
            "type": "boolean",
            "description": "IsSuccess"
          },
          "buyAmount": {
            "type": "number",
            "description": "BuyAmount",
            "format": "double"
          },
          "sellAmount": {
            "type": "number",
            "description": "SellAmount",
            "format": "double"
          },
          "buyCurrency": {
            "type": "string",
            "description": "BuyCurrency",
            "nullable": true
          },
          "sellCurrency": {
            "type": "string",
            "description": "SellCurrency",
            "nullable": true
          },
          "tradeStatus": {
            "type": "string",
            "description": "Trade Status",
            "nullable": true
          },
          "rate": {
            "type": "number",
            "description": "Rate",
            "format": "double",
            "nullable": true
          },
          "tradeDate": {
            "type": "string",
            "description": "Trade Date",
            "format": "date"
          },
          "quoteId": {
            "type": "string",
            "nullable": true
          },
          "fxId": {
            "type": "integer",
            "format": "int64"
          },
          "fee": {
            "type": "number",
            "format": "double"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "description": "Enter JWT Bearer token",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "security": [
    {
      "Bearer": []
    }
  ]
}
```